Subject: Re: [PATCH 03/13] stmmac: add the new Header file for stmmac platform data

From: Giuseppe CAVALLARO <[email-masked]>
Date: Thu, 07 Jan 2010 16:03:02 +0100

Jean-Hugues Deschenes wrote:
> Giuseppe CAVALLARO wrote:
>> In fact, my previous question was if it's good to include
>> ../../../drivers/net/stmmac/stmmac_plat.h within the
>> include/linux/stm/platform.h file.
>>   
> I don't see a problem with that, although we'd be the first doing it...
> probably as long as the include
> ../../../drivers/net/stmmac/stmmac_plat.h is surrounded by the
> appropriate #ifdef CONFIG_STMMAC_ETH?

Hi Jean-Hugues,
I can rework this moving the stmmac platform header from
 include/linux/stmmac.h
to
 drivers/net/stmmac/stmmac_plat.h

On stlinux kernel the include/linux/stm/platform.h header will include
../../../drivers/net/stmmac/stmmac_plat.h instead of linux/stmmac.h.

Any other comments?

To David: I've also removed __FILE__ as you had already suggested.

Many Thanks.
Regards,
Peppe

>>  But that's another story... It
>>  
>>> is there because you maintain both sh and arm-base SOCs right?
>>>     
>> Yes you are right!
>>   
> ... so ideally, you'need some kind of arch/common, arch/shared or
> include/linux/platform directory of some kind... Too bad such a thing
> doesn't exist...
> Regards,
> jh
>